#
# JPGW Transaction Library Data Root Path
# 
LIB_ROOT = properties

#
# Veritrans Payment Server URL List
#
CCPS_HOSTS = https://fep.veritrans.co.jp:443/

#
# Set this to true or false so that you can switch
# direct connection to the hosts or proxy connection.
#
# true:  enable proxy connection
# false: (default) disable proxy connection (a.k.a. direct connection) 
#
USE_HTTP_PROXY = false

#
# Set this to the HOST and PORT of you HTTP Proxy server 
# if you are behind a firewall.
# this option is ignored if USE_HTTP_PROXY != true
#
HTTP_PROXY_HOST = xxx.xxx.xxx.xxx:yyyy

#
# Set merchant secret to be used to contact payment server.
#
SECRET = XXXXXXX

#
# HA1 String for secret key
# each merchant has a differnt key
#
KEY_HA1 = XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


# The number of seconds to to wait for a response
# Do not touch this value unless you understand what you are doing. 
#
TIMEOUT = 120


#
#  message language
#
ACCEPT_LANG = ja

#
# Trusted destination CCPS hostname list
# for SSL Server Authentication.
# 
TRUSTED_HOSTS = fep.veritrans.co.jp

#
# CA(Certificate Authority)'s certificate full file path.
#
CERT_FILE =/usr/local/bsf/bsfmdk/sample/command/properties/vtca

#  message table full file path.
#  
MSG_TABLE = /usr/local/bsf/bsfmdk/sample/command/properties/msg_table
#
#  action-code table full file path
#
AC_TABLE = /usr/local/bsf/bsfmdk/sample/command/properties/actioncode.def

#
#  use pending transaction logging
#
#     true:  enable pending logging
#     false: (default) disable pending logging
#USE_PENDING_LOGGING = true
USE_PENDING_LOGGING = false

#
#  directory for pending files.
#  this option is ignored if USE_PENDING_LOGGING != true
#
PENDING_DIR = /tmp

#
#  set JSSE Algorithm
#  SunX509: Sun SDK
#  IbmX509: IBM SDK
#
#SSL_ALGORITHM = IbmX509
SSL_ALGORITHM = SunX509

